summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author eroc <eroc@linuxmail.org>2010-05-11 15:03:04 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:03:04 +0200
commitff20fcdea62100828097b9fa9788a18b1f360fe4 (patch)
treee664e1cc4533198f34358abf0c70a0527319899c /office
parent3c79c735c69f37fb9fa0af05f97eb1343b35114c (diff)
downloadslackbuilds-ff20fcdea62100828097b9fa9788a18b1f360fe4.tar.gz
slackbuilds-ff20fcdea62100828097b9fa9788a18b1f360fe4.tar.xz
office/oooqs2: Initial import
Diffstat (limited to 'office')
-rw-r--r--office/oooqs2/README6
-rw-r--r--office/oooqs2/oooqs2.SlackBuild52
-rw-r--r--office/oooqs2/oooqs2.info8
-rw-r--r--office/oooqs2/slack-desc10
4 files changed, 76 insertions, 0 deletions
diff --git a/office/oooqs2/README b/office/oooqs2/README
new file mode 100644
index 0000000000..a678a95384
--- /dev/null
+++ b/office/oooqs2/README
@@ -0,0 +1,6 @@
+oooqs2 (OpenOffice.org Quickstarter 2) is a small systray applet for KDE to
+preload OpenOffice.org into memory to make it start faster and designed to
+comply in great parts with its counterpart on Windows systems that is
+delivered with OpenOffice.org. In addition, and that's certainly the most
+important part, it's finally compatible with OpenOffice.org 2.
+
diff --git a/office/oooqs2/oooqs2.SlackBuild b/office/oooqs2/oooqs2.SlackBuild
new file mode 100644
index 0000000000..2175eccd4a
--- /dev/null
+++ b/office/oooqs2/oooqs2.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Slackware build script for oooqs2
+# Written by eroc <eroc@linuxmail.org>
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=oooqs2
+VERSION=1.0.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R a-s,u+rw,go-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/opt/kde \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/oooqs2/oooqs2.info b/office/oooqs2/oooqs2.info
new file mode 100644
index 0000000000..d63069da55
--- /dev/null
+++ b/office/oooqs2/oooqs2.info
@@ -0,0 +1,8 @@
+PRGNAM="oooqs2"
+VERSION="1.0.1"
+HOMEPAGE="http://kde-apps.org/content/show.php?content=10156"
+DOWNLOAD="http://download.berlios.de/segfaultskde/oooqs2-1.0.1.tar.gz"
+MD5SUM="6b5cf0d2a6497ff5210242d55e467e6f"
+MAINTAINER="eroc"
+EMAIL="eroc@linuxmail.org"
+APPROVED="robw810"
diff --git a/office/oooqs2/slack-desc b/office/oooqs2/slack-desc
new file mode 100644
index 0000000000..66142b874a
--- /dev/null
+++ b/office/oooqs2/slack-desc
@@ -0,0 +1,10 @@
+oooqs2: oooqs2 - OpenOffice.org Quickstarter 2
+oooqs2:
+oooqs2: It is a small systray applet for KDE to preload OpenOffice.org into
+oooqs2: memory to make it start faster and designed to comply in great parts
+oooqs2: with its counterpart on Windows systems that is delivered with
+oooqs2: OpenOffice.org. In addition, and that's certainly the most important
+oooqs2: part, it's finally compatible with OpenOffice.org 2.
+oooqs2:
+oooqs2:
+oooqs2: